
import psycopg2
import random

def random_connection_pool(username, password, host, port, database):
    """
    This function creates a random connection pool using psycopg2.
    It uses the psycopg2.pool.SimpleConnectionPool class to manage a pool of connections.
    """
    # Select a random connection pool size between 1 and 10
    pool_size = random.randint(1, 10)
    
    # Create a connection pool
    connection_pool = psycopg2.pool.SimpleConnectionPool(pool_size, pool_size,
                                                         user=username,
                                                         password=password,
                                                         host=host,
                                                         port=port,
                                                         database=database)
    
    return connection_pool



